package gov.va.vinci.dart.json;

import java.util.ArrayList;
import java.util.List;

public class StudyView {
	private long researchStudyID;
	private String shortName;
	private String longName;
	private String studyStartDate;
	private String studyEndDate;
	private String iRBApprovalNumber;
	private String iRBExpirationDate;

	private List<StudySiteView> siteList = new ArrayList<StudySiteView>();
	private List<StudyParticipantView> participantList = new ArrayList<StudyParticipantView>();

	public List<StudySiteView> getSiteList() {
		return siteList;
	}

	public List<StudyParticipantView> getParticipantList() {
		return participantList;
	}

	public long getResearchStudyID() {
		return researchStudyID;
	}

	public void setResearchStudyID(long researchStudyID) {
		this.researchStudyID = researchStudyID;
	}

	public String getStudyStartDate() {
		return studyStartDate;
	}

	public void setStudyStartDate(String studyStartDate) {
		this.studyStartDate = studyStartDate;
	}

	public String getStudyEndDate() {
		return studyEndDate;
	}

	public void setStudyEndDate(String studyEndDate) {
		this.studyEndDate = studyEndDate;
	}

	public String getiRBApprovalNumber() {
		return iRBApprovalNumber;
	}

	public void setiRBApprovalNumber(String iRBApprovalNumber) {
		this.iRBApprovalNumber = iRBApprovalNumber;
	}

	public String getiRBExpirationDate() {
		return iRBExpirationDate;
	}

	public void setiRBExpirationDate(String iRBExpirationDate) {
		this.iRBExpirationDate = iRBExpirationDate;
	}

	public String getShortName() {
		return shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getLongName() {
		return longName;
	}

	public void setLongName(String longName) {
		this.longName = longName;
	}

}
